From b4b4f80892d799cdf78bdb55de89b5a91d65ab3e Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Thu, 19 Oct 2023 16:14:15 +1100
Subject: [PATCH v2] Relocate or remove stale comments

---
 src/backend/utils/adt/bool.c | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

diff --git a/src/backend/utils/adt/bool.c b/src/backend/utils/adt/bool.c
index cc4bd55..16ae96a 100644
--- a/src/backend/utils/adt/bool.c
+++ b/src/backend/utils/adt/bool.c
@@ -35,6 +35,7 @@ parse_bool(const char *value, bool *result)
 bool
 parse_bool_with_len(const char *value, size_t len, bool *result)
 {
+	/* Check the most-used possibilities first. */
 	switch (*value)
 	{
 		case 't':
@@ -119,12 +120,7 @@ parse_bool_with_len(const char *value, size_t len, bool *result)
  *****************************************************************************/
 
 /*
- *		boolin			- converts "t" or "f" to 1 or 0
- *
- * Check explicitly for "true/false" and TRUE/FALSE, 1/0, YES/NO, ON/OFF.
- * Reject other values.
- *
- * In the switch statement, check the most-used possibilities first.
+ *		boolin			- input function for type boolean
  */
 Datum
 boolin(PG_FUNCTION_ARGS)
-- 
1.8.3.1

